class_name Player extends CharacterBody2D


@export var max_speed: float = 300.0


func get_movement_vector() -> Vector2:
	var x_mov: float = Input.get_action_strength('move_right') - Input.get_action_strength('move_left')
	var y_mov: float = Input.get_action_strength('move_down') - Input.get_action_strength('move_up')
	return Vector2(x_mov, y_mov)
